Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
problems emerging gtk+-2.2.0
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
maestro
Tux's lil' helper
Tux's lil' helper


Joined: 22 Oct 2002
Posts: 91
Location: Krefeld/Germany/EU

PostPosted: Mon Jan 06, 2003 5:41 pm    Post subject: problems emerging gtk+-2.2.0 Reply with quote

hi there...
i've got problems emerging gtk+-2.2.0.

Code:

*** Can't link to Pango. Pango is required to build
*** GTK+. For more information see http://www.pango.org

!!! ERROR: x11-libs/gtk+-2.2.0 failed.
!!! Function econf, Line 281, Exitcode 1
!!! econf failed


pango 1.2.0 is installed...
anyone a clue?

greetz maestro
Back to top
View user's profile Send private message
fireboy1919
n00b
n00b


Joined: 28 May 2002
Posts: 47

PostPosted: Wed Jan 08, 2003 5:18 am    Post subject: More specific, same problem. Reply with quote

I'm getting this problem as well. Looking at my config.log, for me its specifically a problem with the /usr/lib/libXft.so.2 library, which is a part of xft.

Here's the error I get:

Code:

/usr/lib/libXft.so.2: undefined reference to `XRenderQuerySubpixelOrder'


This is currently the same problem that is also keeping mozilla and phoenix from compiling on my system.

Anybody know where that function is defined?
Back to top
View user's profile Send private message
jufoa
Apprentice
Apprentice


Joined: 10 Dec 2002
Posts: 213
Location: Rovaniemi, Finland

PostPosted: Wed Jan 08, 2003 7:40 am    Post subject: Reply with quote

if you have pango 1.2.0 installed then try
emerging older version of pango. 1.0.x that helped for me.
Back to top
View user's profile Send private message
maestro
Tux's lil' helper
Tux's lil' helper


Joined: 22 Oct 2002
Posts: 91
Location: Krefeld/Germany/EU

PostPosted: Wed Jan 08, 2003 12:47 pm    Post subject: Reply with quote

i tried that. configure went fine, but when compiling i get the following error:

Code:

Writing a gdk-pixbuf.loader file to use when running examples before installing gdk-pixbuf.
Cannot load loader /var/tmp/portage/gtk+-2.2.0/work/gtk+-2.2.0/gdk-pixbuf/.libs/libgdk_pixbuf-2.0.so
make[3]: Leaving directory `/var/tmp/portage/gtk+-2.2.0/work/gtk+-2.2.0/gdk-pixbuf'
make[2]: Leaving directory `/var/tmp/portage/gtk+-2.2.0/work/gtk+-2.2.0/gdk-pixbuf'
Making all in gdk
make[2]: Entering directory `/var/tmp/portage/gtk+-2.2.0/work/gtk+-2.2.0/gdk'
Making all in x11
make[3]: Entering directory `/var/tmp/portage/gtk+-2.2.0/work/gtk+-2.2.0/gdk/x11'
/bin/sh ../../libtool --mode=compile gcc -DHAVE_CONFIG_H -I. -I. -I../.. -DG_LOG_DOMAIN=\"Gdk\" -DGDK_COMPILATION -I../.. -I../../gdk -I../../gdk -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DG_DISABLE_CAST_CHECKS -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/X11R6/include    -mcpu=athlon -O2  -pipe -Wall -c gdkcolor-x11.c
gcc -DHAVE_CONFIG_H -I. -I. -I../.. -DG_LOG_DOMAIN=\"Gdk\" -DGDK_COMPILATION -I../.. -I../../gdk -I../../gdk -DG_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DG_DISABLE_CAST_CHECKS -pthread -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pango-1.0 -I/usr/X11R6/include -mcpu=athlon -O2 -pipe -Wall -c gdkcolor-x11.c  -fPIC -DPIC -o gdkcolor-x11.lo
In file included from ../../gdk/x11/gdkwindow-x11.h:30,
                 from gdkprivate-x11.h:36,
                 from gdkx.h:78,
                 from gdkcolor-x11.c:31:
../../gdk/x11/gdkdrawable-x11.h:69: parse error before "XftDraw"
../../gdk/x11/gdkdrawable-x11.h:69: warning: no semicolon at end of struct or union
In file included from gdkprivate-x11.h:36,
                 from gdkx.h:78,
                 from gdkcolor-x11.c:31:
../../gdk/x11/gdkwindow-x11.h:69: field `parent_instance' has incomplete type
In file included from gdkprivate-x11.h:37,
                 from gdkx.h:78,
                 from gdkcolor-x11.c:31:
../../gdk/x11/gdkpixmap-x11.h:52: field `parent_instance' has incomplete type
make[3]: *** [gdkcolor-x11.lo] Error 1
make[3]: Leaving directory `/var/tmp/portage/gtk+-2.2.0/work/gtk+-2.2.0/gdk/x11'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/var/tmp/portage/gtk+-2.2.0/work/gtk+-2.2.0/gdk'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/gtk+-2.2.0/work/gtk+-2.2.0'
make: *** [all-recursive-am] Error 2

!!! ERROR: x11-libs/gtk+-2.2.0 failed.
!!! Function src_compile, Line 55, Exitcode 2
!!! (no error message)


what else can i do... i'm out of ideas.
Back to top
View user's profile Send private message
fireboy1919
n00b
n00b


Joined: 28 May 2002
Posts: 47

PostPosted: Wed Jan 08, 2003 10:54 pm    Post subject: No Dice Reply with quote

I talked with someone who has it working, and tried using an old version. No dice.
Back to top
View user's profile Send private message
fireboy1919
n00b
n00b


Joined: 28 May 2002
Posts: 47

PostPosted: Thu Jan 09, 2003 4:41 am    Post subject: Lets link data: Reply with quote

Probably the solution:
https://bugs.gentoo.org/show_bug.cgi?id=13235

Other similar forums (solution also shown in the second one).
https://forums.gentoo.org/viewtopic.php?t=28735
https://forums.gentoo.org/viewtopic.php?t=27318

I'm trying it myself as we speak, and gtk+ has already passed all of the errors it used to make. I think this is the Answer.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum